# @remotehq/remote-browser-sdk

The official JavaScript/TypeScript client SDK for embedding and controlling [Remote Browser](https://www.remotehq.com/remote-browser) by [RemoteHQ](https://www.remotehq.com).

## Installation

```bash
# via npm
npm install --save @remotehq/remote-browser-sdk

# via yarn
yarn add @remotehq/remote-browser-sdk
```

## Usage example

```js
import * as remoteBrowserSdk from "@remotehq/remote-browser-sdk";

// 1. Get instanceURN via API call
const instanceURN = "..."; // received from the API

// 2. Create new client instance
const rbClient = remoteBrowserSdk.createClient({
  instanceURN,
  iframeSource: "rhq", // unique value per customer
  role: "...", // unique value representing a role (returned via API when creating new instance)
  userName: "Jon",
  allowFullscreen: true,
  disableAudio: false,
  targetOrigin: "https://rooms.remotehq.com" // If we setup a custom domain for you - you'll need to change this value
});

// 3. Attach to DOM
rbClient.attach("#remote-browser-container"); // Selector or Element

// 4. Enjoy external API to control the Remote Browser
rbClient.openInCurrentTab("https://weather.com");
rbClient.openInNewTab("https://weather.com");
```

## Documentation

For full documentation, visit the [official RemoteHQ documentation](https://docs.remotehq.com/remote-browser-sdk.html).