declare const SDKEventSource: "remote-browser-sdk";
interface RemoteBrowserClientSettings {
    userName: string;
    role: string;
    allowFullscreen: boolean;
    disableAudio: boolean;
    targetOrigin: string;
}
declare type RemoteBrowserCreateClientSettings = {
    iframeSource: string;
    instanceURN: string;
} & Partial<RemoteBrowserClientSettings>;
declare type BaseSDKEvent<E, D> = {
    source: typeof SDKEventSource;
    name: E;
    data: D;
};
declare type EventOpenInCurrentTab = BaseSDKEvent<"openInCurrentTab", {
    url: string;
}>;
declare type EventOpenInNewTab = BaseSDKEvent<"openInNewTab", {
    url: string;
}>;
declare type EventStartRecording = BaseSDKEvent<"startRecording", null>;
declare type EventStopRecording = BaseSDKEvent<"stopRecording", null>;
export declare type EmbedRemoteBrowserSDKEvent = EventOpenInCurrentTab | EventOpenInNewTab | EventStartRecording | EventStopRecording;
export declare function createClient({ instanceURN, iframeSource, ...settings }: RemoteBrowserCreateClientSettings): {
    attach(el: any): void;
    openInCurrentTab(url: string): void;
    openInNewTab(url: string): void;
    startRecording(): void;
    stopRecording(): void;
};
export {};
